openjpa-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Michael Dick" <michael.d.d...@gmail.com>
Subject Re: DB2 support
Date Wed, 09 May 2007 13:09:31 GMT
OK, now that I found the relevant section in the documentation I understand
what William is asking for.

What level of testing do we need to do before we can add a new version of
DB2 to the list of supported databases? Is just running our unit test bucket
sufficient to add a new database to the list or do we need a more formal
process?


On 5/9/07, Michael Dick <michael.d.dick@gmail.com> wrote:
>
> Hi William,
>
> I have been running OpenJPA against DB2 v9 with no major issues, and I
> believe others on the forums have been doing so as well. Admittedly this
> isn't a certification, but it's at least anecdotal evidence that DB2 v9 will
> work.
>
> For KODO I'd have to refer you to BEA's support statement, but I'd be
> surprised if they did not support DB2 as well.
>
> I'm not sure what you mean by "cases" to run OpenJPA/KODO on DB2. If
> you're looking for instructions on how to run the OpenJPA unit tests against
> DB2 I can help you with that. If you'd prefer to try running your own
> application against DB2 all you need to do is add the appropriate connection
> properties to persistence.xml :
>
> Something like this should work.
> . . .
>     <properties>
>          . . .
>          <property name="openjpa.ConnectionDriverName"  value="
> com.ibm.db2.jcc.DB2Driver " />
>          <property name="openjpa.ConnectionURL"
> value="jdbc:db2://localhost:50000/TEST" />
>          <property name="openjpa.ConnectionUserName" value="db2user" />
>          <property name="openjpa.ConnectionPassword" value="db2password"
> />
>          . . .
>      </properties>
> . . .
>
> Regards,
> Michael DIck
>
> On 5/9/07, William Cai <caiwl@acm.org> wrote:
> >
> > Hi list,
> > AFAIK,
> > the latest DB2 version is DB2 enterprise server edition V9.1. But but
> > current OpenJDK only supports DB2 UDB v8.1. Do we have any plans to
> > certify DB2 UDB V8.2 and DB2 v9 recently? Or more realistically -- are
> > there any cases to run OpenJPA/KODO on DB2 UDB v8.2 or DB2 v9?
> >
> > Any input is greatly appreciated.
> >
> > Thanks,
> > William
> >
> >
> >
> >
> >                         Database Name
> >
> >                         Database Version
> >
> >                         JDBC Driver Name
> >
> >                         JDBC Driver Version
> >
> >                         Apache Derby
> >
> >                         10.1.2.1
> >
> >                         Apache Derby Embedded JDBC Driver
> >
> >                         10.1.2.1
> >
> >                         Borland Interbase
> >
> >                          7.1.0.202
> >
> >                         Interclient
> >
> >                         4.5.1
> >
> >                         Borland JDataStore
> >
> >                         6.0
> >
> >                         Borland JDataStore
> >
> >                         6.0
> >
> >                         DB2
> >
> >                         8.1
> >
> >                         IBM DB2 JDBC Universal Driver
> >
> >                         1.0.581
> >
>
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message